Bug 398701 - Review Request: gfs-porson-fonts - GFS Porson Greek font
Review Request: gfs-porson-fonts - GFS Porson Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 15:51 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 16:38:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 15:51:15 EST
Spec URL: http://nim.fedorapeople.org/gfs-porson-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-porson-fonts-20060908-1.fc9.src.rpm

Description:
In England, during the 1790’s, Cambridge University Press decided to procure a
new set of Greek types. The university’s great scholar of Classics, Richard
Porson was asked to produce a typeface based on his handsome handwriting and
Richard Austin was commissioned to cut the types. The type was completed in
1808, after the untimely death of Porson the previous year. Its success was
immediate and since then the classical editions in Great Britain and the U.S.A.
use it, almost invariably.

In 1913, Monotype released the typeface with some corrections, notably
replacing the upright capitals suggested by Porson with inclined ones. In
Greece the typeface was used under the name Pelasgika type.

GFS Porson is based on the Monotype version, though using upright capitals, as
in the original.
Comment 1 Parag AN(पराग) 2007-11-26 07:50:16 EST
looks correct SRPM is
http://nim.fedorapeople.org/gfs-porson-fonts-20060908-2.fc9.src.rpm

rpmlint gave me
gfs-porson-fonts.noarch: I: checking
gfs-porson-fonts.noarch: E: description-line-too-long In England, during the
1790’s, Cambridge University Press decided to procure a
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

gfs-porson-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Nicolas Mailhot 2007-11-26 08:14:58 EST
(In reply to comment #1)
> looks correct SRPM is
> http://nim.fedorapeople.org/gfs-porson-fonts-20060908-2.fc9.src.rpm

Yes I fixed a small problem after filing the review request

> rpmlint gave me
> gfs-porson-fonts.noarch: I: checking
> gfs-porson-fonts.noarch: E: description-line-too-long In England, during the
> 1790’s, Cambridge University Press decided to procure a
> Your description lines must not exceed 79 characters. If a line is exceeding
> this number, cut it to fit in two lines.

The lines have been resized using the standard "fold" tool. So they are all 80
column max. rpmlint targets a non-standard terminal width, 79 column and I don't
believe this width is actually in use anywhere or that any terminal user will
actually be inconvenienced if we use the full 80 column. If you really insist I
may resize the text but that seems a waste of time to me.

> gfs-porson-fonts.noarch: W: no-version-in-last-changelog
> The last changelog entry doesn't contain a version. Please insert the
> version that is coherent with the version of the package and rebuild it.

rpmlint wants to force you to put the version at the end of the first changelog
line, however the official approved Fedora changelog format list includes a
style where the version is not on this line
(http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs, 3rd style) so
rpmlint's warning is bogus


Comment 3 Parag AN(पराग) 2007-11-26 11:59:40 EST
I prefer you to fix rpmlint error description-line-too-long. Reason, If this is
bogus message then we should have already removed it from rpmlint tool itself
but as rpmlint is made to report it as error, good to fix this.
Comment 4 Nicolas Mailhot 2007-11-26 13:47:14 EST
Updated version posted at the usual place to cut lines at 79 columns.

Note that rpmlint does not know how to count UTF-8 characters, so if it still
complains do check in an UTF-8 aware editor he's actually right (he isn't)
Comment 5 Parag AN(पराग) 2007-11-26 22:02:23 EST
I agree it was big work for you to ask to fix small issue but still I prefer to
follow what rpmlint says till rpmlint tool gives it as Error and not Warning.
Comment 6 Parag AN(पराग) 2007-11-26 22:19:24 EST
Dunno, But with updated version I still see
gfs-porson-fonts.src: E: description-line-too-long In England, during the
1790’s, Cambridge University Press decided to procure a


Otherwise Packaging looks ok.
APPROVED.
Comment 7 Parag AN(पराग) 2007-11-26 22:21:21 EST
I don't want you to waste your time again now so if you want to fix it then fix
at time of cvs import.
Comment 8 Nicolas Mailhot 2007-11-27 02:03:16 EST
rpmlint is wrong and does no know how to count UTF-8 properly. I actually
cheched the line it tags manually - it's less than 79 columns in UTF-8, which is
our default encoding.

New Package CVS Request
=======================
Package Name: gfs-porson-fonts
Short Description: GFS Porson Greek font
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes
Comment 9 Kevin Fenzi 2007-11-27 15:00:21 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.